Bug 186934 - Battery monitor reporting incorrect info, does not see battery
Battery monitor reporting incorrect info, does not see battery
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 10:51 EST by Scot Harris
Modified: 2013-03-05 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested information from lshal (55.50 KB, text/plain)
2006-03-27 11:48 EST, Scot Harris
no flags Details
Second lshal file. Problem happened again. (53.97 KB, text/plain)
2006-03-29 19:09 EST, Scot Harris
no flags Details
Output from gnome-power-manager --no-daemon --verbose (7.85 KB, text/plain)
2006-03-29 19:24 EST, Scot Harris
no flags Details
Output of hal trace. (34.01 KB, text/plain)
2006-03-30 17:18 EST, Scot Harris
no flags Details
Output of hald trace after problem happens. (33.90 KB, text/plain)
2006-04-14 21:23 EDT, Scot Harris
no flags Details

  None (edit)
Description Scot Harris 2006-03-27 10:51:25 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:  
Dell Latitude CPx laptop.  Initially running FC2 for several years, recently
upgraded to FC5 (clean install).

gnome-power-manager-2.14.0-1

Currently in failed state.  Battery monitor indicates system is on AC power only
and does not see battery.  Prior to this battery monitor was not reporting
correct status of battery.  Initially thought the battery was starting to fail
so replaced battery with new one.  Did have battery indication for a couple of
days.  However was getting strange estimates of battery life.  At one point
battery monitor was indicating 36 hours of battery life remaining when AC power
was disconnected.  Subsequently it was indicating a more typical 2.5 to 3 hours
of battery life for fully charged battery.

This morning the battery monitor is showing only the AC connection, no battery
icon is shown.  

Mar 26 14:16:03 discsander kernel: ACPI: Battery Slot [BAT0] (battery present)

Did not find any other relavent message in log file.






Steps to Reproduce:
1. Running laptop for several days connected to AC power
2. Battery monitor not reporting correct status
3.
  
Actual results:
Battery monitor no longer sees battery or reports incorrect status.

Expected results:

Correct status of battery is reported.  No problems with FC2 install on same
equipment.


Additional info:
Comment 1 Richard Hughes 2006-03-27 11:01:48 EST
Can you attach a lshal please.
Comment 2 Scot Harris 2006-03-27 11:48:03 EST
Created attachment 126833 [details]
Requested information from lshal 

Requested info from lshal command.
Comment 3 Richard Hughes 2006-03-27 12:02:34 EST
Looks okay to me, what do you do to reproduce the problem? Also, what about a
g-p-m verbose trace? See
http://www.gnome.org/projects/gnome-power-manager/bugs.html for more details.

Thanks.
Comment 4 Scot Harris 2006-03-29 19:09:05 EST
Created attachment 127031 [details]
Second lshal file.  Problem happened again.

Attaching a second lshal dump.	Problem happened again today.  Only the AC
power icon is showing in the panel.  System does not appear to see the battery.
 System was running over night connected to AC power.
Comment 5 Scot Harris 2006-03-29 19:24:59 EST
Created attachment 127034 [details]
Output from gnome-power-manager  --no-daemon --verbose

Attaching requested info from gnome-power-manager --no-daemon --verbose

Had to kill the daemon version to get this one to run.	If that is not the
correct procedure let me know how you want this info collected.  

If I reboot the system this will operate correctly for a period of time.
Comment 6 Richard Hughes 2006-03-30 02:36:59 EST
Both batteries have:

battery.present = false

so g-p-m thinks you are on AC Power. Did you remove both batteries? If not this
is a HAL or kernel error, not a g-p-m error.
Comment 7 Scot Harris 2006-03-30 09:41:06 EST
The battery has not been removed, the system stops seeing it after some period
of time.  In that case this bug should be reclassified as a HAL or kernel error.
 What information is needed to track it down in those parts of the system?
Comment 8 Richard Hughes 2006-03-30 10:02:20 EST
Probably a HAL error, I agree. Can you provide a HAL debug trace please.
Comment 9 Scot Harris 2006-03-30 17:18:23 EST
Created attachment 127079 [details]
Output of hal trace.

Attached output of hal trace.  Please note that the option in the web page
--retain-privileges does not work with the current version of hal.

Also note that the laptop was rebooted and currently shows the battery and AC
power icon.  I will attach a hal trace the next time the problem happens.
Comment 10 Scot Harris 2006-04-14 21:23:25 EDT
Created attachment 127768 [details]
Output of hald trace after problem happens.

Hald trace while problem is showing.
Comment 11 Richard Hughes 2006-04-17 12:40:09 EDT
>The battery has not been removed, the system stops seeing it after some period

I have to wait at least 30 seconds before may battery is "seen" by acpi after I
remove it, perhaps the removal of the battery triggers something weird with acpi.

After looking at the hald trace, this looks like a kernel problem, not a hal
problem.
Comment 12 Bug Zapper 2008-04-03 22:17:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 11:39:53 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.